Main Page | Class Hierarchy | Class List | Directories | File List | Class Members

# recipe Class Reference

contains the complete description of the recipe of a cocktail More...

`#include <recipe.h>`

List of all members.

## Public Member Functions
| recipe (QString name, bool proportional, int nbrGlasses, QValueVector< liquidElement * > liquidElements, QValueVector< otherElement * > otherElements, QString comment)
QString | getName ()
QString | getComment ()
QString | getGlassType ()
bool | getProportional ()
int | getNbrGlasses ()
QStringList | getLiquidElementsNameList ()
QValueVector< liquidElement * > | getLiquidElements ()
QValueVector< otherElement * > | getOtherElements ()
QString | toString ()
| returns a QString with the complete recipe of the cocktail
QString | toRichTextString (units userUnits)

## Detailed Description

contains the complete description of the recipe of a cocktail

Contains the complete description of the recipe of a cocktail :

- the name
- the type of glass used to serve the cocktail
- for how many glasses, the cocktail is expected
- the differents elements of the cocktail
- are the quantities in "cl" or in a proportional form

## Member Function Documentation

QString recipe::toRichTextString | ( | units | userUnits | ) |

| TODO round the quantity (preferences of user?)

The documentation for this class was generated from the following files:

- code/cocktail/src/recipe.h
- code/cocktail/src/recipe.cpp